# HttpHeaderCredentials

API Documentation: | `HttpHeaderCredentials`

Credentials that can be used to login to a protected server, e.g. a remote repository by using HTTP header. The properties used for creating credentials from a property are `repoAuthHeaderName` and `repoAuthHeaderValue`, where `repo` is the identity of the repository.

### Properties

Property | Description
`name` | The header name to use when authenticating.
`value` | The header value to use when authenticating.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `String` `name`

The header name to use when authenticating.

#### `String` `value`

The header value to use when authenticating.